Start typing to search.

API Reference

Get a specific task version

View Markdown
GET /api/tasks/{id}/versions/{vid}

Get a specific task version

Operation IDgetTaskVersion

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

vidintegerrequired

Version number

Success response body

200Task version

Task version

Content typeapplication/json

responseobject
7 properties
idinteger
task_idinteger
versioninteger
yaml_contentstring
connector_refsstring | null
change_summarystring | null
created_atstring · date-time

Error responses

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}